Name:           vegastrike
Version:        0.5.0
Release:        14%{?dist}
Summary:        3D OpenGL spaceflight simulator
Group:          Amusements/Games
License:        GPLv2+
URL:            http://vegastrike.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-src-%{version}.tar.bz2
# Found in the mandriva srpm, origin Debian ?
Source1:        %{name}-manpages.tar.bz2
Source2:        %{name}-wrapper.sh
Source3:        %{name}.desktop
Patch0:         vegastrike-0.4.2-char-fix.patch
Patch1:         vegastrike-0.4.2-paths-fix.patch
Patch2:         vegastrike-0.4.2-posh-fix.patch
Patch3:         vegastrike-0.4.2-vssetup-fix.patch
Patch4:         vegastrike-0.4.3-64-bit.patch
Patch5:         vegastrike-0.4.3-openal.patch
Patch6:         vegastrike-0.4.3-sys-python.patch
Patch7:         vegastrike-0.5.0-boost-make_shared.patch
Patch8:         vegastrike-0.5.0-gcc44.patch
Patch9:         vegastrike-0.5.0-glext.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  libGLU-devel freeglut-devel libXi-devel libXmu-devel gtk2-devel
BuildRequires:  libjpeg-devel libpng-devel boost-devel expat-devel python-devel
BuildRequires:  SDL_mixer-devel openal-soft-devel freealut-devel
BuildRequires:  libvorbis-devel ogre-devel cegui-devel desktop-file-utils
Requires:       %{name}-data = %{version}, hicolor-icon-theme, xdg-utils
Requires:       opengl-games-utils

%description
Vega Strike is a GPL 3D OpenGL Action RPG space sim that allows a player to
trade and bounty hunt. You start in an old beat up Wayfarer cargo ship, with
endless possibility before you and just enough cash to scrape together a life.
Yet danger lurks in the space beyond.


%prep
%setup -q -a 1 -n %{name}-source-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
iconv -f ISO-8859-1 -t UTF-8 README > README.tmp
touch -r README README.tmp
mv README.tmp README
sed -i 's/-lboost_python-st/-lboost_python/g' Makefile.in
# we want to use the system version of expat.h
rm objconv/mesher/expat.h


%build
%configure --with-data-dir=%{_datadir}/%{name} --with-boost=system \
  --enable-release --enable-flags="-DBOOST_PYTHON_NO_PY_SIGNATURES $RPM_OPT_FLAGS" --disable-ffmpeg \
  --enable-stencil-buffer
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
#make install PREFIX=$RPM_BUILD_ROOT doesn't work
%makeinstall
install -p -m 755 %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}

mkdir -p $RPM_BUILD_ROOT%{_libexecdir}/%{name}
chmod +x $RPM_BUILD_ROOT%{_prefix}/objconv/*
mv $RPM_BUILD_ROOT%{_prefix}/objconv/* \
  $RPM_BUILD_ROOT%{_libexecdir}/%{name}
for i in asteroidgen base_maker mesh_xml mesher replace tempgen trisort \
         vsrextract vsrmake; do
  mv $RPM_BUILD_ROOT%{_bindir}/$i $RPM_BUILD_ROOT%{_libexecdir}/%{name}
done

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man6
install -p -m 644 *.6 $RPM_BUILD_ROOT%{_mandir}/man6

# below is the desktop file and icon stuff.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora            \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE3}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING DOCUMENTATION README ToDo.txt
%{_bindir}/vega*
%{_bindir}/vs*
%{_libexecdir}/%{name}
%{_mandir}/man6/*
%{_datadir}/applications/fedora-%{name}.desktop


%changelog
* Mon Sep 28 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.5.0-14
- Rebuild for new ogre

* Sun Aug 16 2009 Hans de Goede <hdegoede@redhat.com> 0.5.0-13
- Switch to openal-soft

* Mon Aug  3 2009 Hans de Goede <hdegoede@redhat.com> 0.5.0-12
- Fix building with latest OpenGL headers

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat May 23 2009 Hans de Goede <hdegoede@redhat.com> 0.5.0-10
- Rebuild for new boost and new ogre

* Tue Mar 03 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.5.0-9
- Rebuild for new ogre

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Dec 19 2008 Benjamin Kosnik  <bkoz@redhat.com> - 0.5.0-7
- Add boost-make_shared.patch
- Use -DBOOST_PYTHON_NO_PY_SIGNATURES.
- Rebuild for boost-1.37.0.

* Sun Nov 30 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.5.0-6
- Rebuild for Python 2.6

* Thu Oct  2 2008 Alexey Torkhov <atorkhov@gmail.com> 0.5.0-5
- Rebuild for new ogre

* Sun Sep  7 2008 Hans de Goede <hdegoede@redhat.com> 0.5.0-4
- Fix patch fuzz build failure

* Wed Jul  2 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.5.0-3
- Rebuild for new ogre

* Tue May 13 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.5.0-2
- Rebuild for new ogre

* Sat May  3 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.5.0-1
- New upstream release 0.5.0

* Sun Apr 13 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.4.3-9
- Use xdg-open instead of gedit to show the user the readme (bz 442063)

* Thu Feb 14 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.4.3-8
- Fix building with gcc 4.3
- Rebuild for gcc 4.3

* Mon Sep 24 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.4.3-7
- Use opengl-games-utils wrapper to show error dialog when DRI is missing

* Tue Aug 28 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.4.3-6
- Rebuild for new expat 2.0

* Wed Aug 22 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.4.3-5
- Rebuild for buildId

* Fri Aug  3 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.4.3-4
- Update License tag for new Licensing Guidelines compliance
- Rebuild against new boost

* Wed May  9 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.4.3-3
- Add some missing files including COPYING to %%doc
- Fix PPC compilation

* Mon Apr 23 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.4.3-2
- Add some missing BuildRequires
- Keep system python paths in python path

* Fri Mar 23 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.4.3-1
- Initial Fedora Extras package, partially based on Mandriva contrib SRPM
